package it.integry.integrywmsnative.core.rest.model.uds;

import java.math.BigDecimal;

public class CreateUDSFromArtRequestDTO {

    private String codMart;
    private String partitaMag;
    private String codMdep;
    private String posizione;
    private String codJfas;
    private BigDecimal qta;
    private BigDecimal qtaCnf;
    private BigDecimal numCnf;
    private BigDecimal pesoNettoKg;
    private BigDecimal pesoLordoKg;


    public String getCodMart() {
        return codMart;
    }

    public CreateUDSFromArtRequestDTO setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public CreateUDSFromArtRequestDTO setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public CreateUDSFromArtRequestDTO setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public String getPosizione() {
        return posizione;
    }

    public CreateUDSFromArtRequestDTO setPosizione(String posizione) {
        this.posizione = posizione;
        return this;
    }

    public String getCodJfas() {
        return codJfas;
    }

    public CreateUDSFromArtRequestDTO setCodJfas(String codJfas) {
        this.codJfas = codJfas;
        return this;
    }

    public BigDecimal getQta() {
        return qta;
    }

    public CreateUDSFromArtRequestDTO setQta(BigDecimal qta) {
        this.qta = qta;
        return this;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public CreateUDSFromArtRequestDTO setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
        return this;
    }

    public BigDecimal getNumCnf() {
        return numCnf;
    }

    public CreateUDSFromArtRequestDTO setNumCnf(BigDecimal numCnf) {
        this.numCnf = numCnf;
        return this;
    }

    public BigDecimal getPesoNettoKg() {
        return pesoNettoKg;
    }

    public CreateUDSFromArtRequestDTO setPesoNettoKg(BigDecimal pesoNettoKg) {
        this.pesoNettoKg = pesoNettoKg;
        return this;
    }

    public BigDecimal getPesoLordoKg() {
        return pesoLordoKg;
    }

    public CreateUDSFromArtRequestDTO setPesoLordoKg(BigDecimal pesoLordoKg) {
        this.pesoLordoKg = pesoLordoKg;
        return this;
    }
}
